
package de.ivu.elect.interfaces.core;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Kandidatur extends Person {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private Waehlbarkeit waehlbar;

  @Deprecated
  @XmlElement(required = false)
  private Zulassung zugelassen;

  // required=false nur für Abwärtskompatibilität (ELECT-2591)
  @XmlElement(required = false)
  private KandidaturStatus kandidaturStatus;

  // required=false nur für Abwärtskompatibilität (ELECT-3141)
  @XmlElement(required = false)
  private KandidaturQuelle kandidaturQuelle;

  @XmlElement(required = false)
  private String geburtsortPraesentation;

  @XmlElement(required = false)
  private String berufPraesentation;

  @XmlElement(required = false)
  private String namePraesentation;

  @XmlElement(required = false)
  private String wohnortPraesentation;

  @XmlElement(required = false)
  private Ersatzkandidatur ersatzkandidatur;

  public Kandidatur() {
    super();
  }

  public Ersatzkandidatur getErsatzkandidatur() {
    return ersatzkandidatur;
  }

  public void setErsatzkandidatur(Ersatzkandidatur ersatzkandidatur) {
    this.ersatzkandidatur = ersatzkandidatur;
  }

  public Waehlbarkeit getWaehlbar() {
    return waehlbar;
  }

  public void setWaehlbar(Waehlbarkeit waehlbar) {
    this.waehlbar = waehlbar;
  }

  @Deprecated
  public Zulassung getZugelassen() {
    return zugelassen;
  }

  @Deprecated
  public void setZugelassen(Zulassung zugelassen) {
    this.zugelassen = zugelassen;
  }

  public KandidaturStatus getKandidaturStatus() {
    return kandidaturStatus;
  }

  public void setKandidaturStatus(KandidaturStatus kandidaturStatus) {
    this.kandidaturStatus = kandidaturStatus;
  }

  public String getGeburtsortPraesentation() {
    return geburtsortPraesentation;
  }

  public void setGeburtsortPraesentation(String geburtsortPraesentation) {
    this.geburtsortPraesentation = geburtsortPraesentation;
  }

  public String getBerufPraesentation() {
    return berufPraesentation;
  }

  public void setBerufPraesentation(String berufPraesentation) {
    this.berufPraesentation = berufPraesentation;
  }

  public String getNamePraesentation() {
    return namePraesentation;
  }

  public void setNamePraesentation(String namePraesentation) {
    this.namePraesentation = namePraesentation;
  }

  public String getWohnortPraesentation() {
    return wohnortPraesentation;
  }

  public void setWohnortPraesentation(String wohnortPraesentation) {
    this.wohnortPraesentation = wohnortPraesentation;
  }

  public KandidaturQuelle getKandidaturQuelle() {
    return kandidaturQuelle;
  }

  public void setKandidaturQuelle(KandidaturQuelle kandidaturQuelle) {
    this.kandidaturQuelle = kandidaturQuelle;
  }
}
